%global pypi_name linecache2

%bcond_without tests

Summary:        Backport of the linecache module
Name:           python-%{pypi_name}
Version:        1.0.0
Release:        2%{?dist}
License:        Python
URL:            https://github.com/testing-cabal/linecache2
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires: python3-devel python3-pbr python3-fixtures python3-testtools

%if %{with tests}
BuildRequires:  python3-fixtures
%endif


%description
A backport of linecache to older supported Pythons.

%package     -n python3-%{pypi_name}
Summary:        Backport of the linecache module

%description -n python3-%{pypi_name}
A backport of linecache to older supported Pythons.



%prep
%setup -qn %{pypi_name}-%{version}
mv %{pypi_name}/tests .

sed -i 's/import unittest2 as unittest/import unittest/' tests/*.py

%build
%py3_build


%install
%py3_install


%if %{with tests}
%check
mv tests %{pypi_name}/
%{__python3} -m unittest -v
mv %{pypi_name}/tests .
%endif


%files -n python3-%{pypi_name}
%doc AUTHORS ChangeLog README.rst
%{python3_sitelib}/*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 cunshunxia <cunshunxia@tencent.com> - 1.0.0-1
- initial build
